Opened 7 years ago

Closed 7 years ago

#220 closed defect (fixed)

cannot launch winswitch_client on arch linux

Reported by: cyberic Owned by: Antoine Martin
Priority: major Milestone:
Component: Client Keywords:
Cc:

Description (last modified by Antoine Martin)

I use these versions:

[[email protected] ~]$ pacman -Q winswitch
winswitch 0.12.16-1
[[email protected] ~]$ pacman -Q xpra-winswitch
xpra-winswitch 0.6.0-1

And here are the errors...
I can't really distinguish between 'serious' errors , and 'non-important' errors

I can do some more tests, just tell me...

[[email protected] ~]$ winswitch_client 
[DD] 2012/21/09 01:33:01 main_loop.loop_init(False)
[II] 2012/21/09 01:33:01 main_loop.loop_init(False) twisted version 12.1.0
[II] 2012/21/09 01:33:01 globals os.uname=('Linux', 'pc', '3.5.3-1-ARCH', '#1 SMP PREEMPT Sun Aug 26 09:14:51 CEST 2012', 'x86_64')
[II] 2012/21/09 01:33:01 globals python package info: __version__=0.12.16
[II] 2012/21/09 01:33:01 globals version=0.12.16 (svn revision unknown - unknown local modifications), built on pc by eric, 2012-09-21, release_build=True
[II] 2012/21/09 01:33:01 globals uid=1000, username=eric, name=eric, hostname=pc, locale=en_US, argv=[/usr/bin/winswitch_client]
[II] 2012/21/09 01:33:01 globals Python version 2.7.3 (default, Apr 24 2012, 00:00:54) [GCC 4.7.0 20120414 (prerelease)]

** (process:20193): WARNING **: Trying to register gtype 'GMountMountFlags' as enum when in fact it is of type 'GFlags'

** (process:20193): WARNING **: Trying to register gtype 'GDriveStartFlags' as enum when in fact it is of type 'GFlags'

** (process:20193): WARNING **: Trying to register gtype 'GSocketMsgFlags' as enum when in fact it is of type 'GFlags'
[II] 2012/21/09 01:33:01 process_util.<module>() using twisted ProcessProtocol=winswitch.twisted.HiddenSpawnedProcess.HiddenSpawnedProcess
[EE] 2012/21/09 01:33:01 distro_packaging_util.get_distro_helper() failed to load dbus packagekit: org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.PackageKit was not provided by any .service files
Traceback (most recent call last):
  File "/usr/bin/winswitch_client", line 5, in <module>
    winswitch.client.client_wrapper.main()
  File "/usr/lib/python2.7/site-packages/winswitch/client/client_wrapper.py", line 52, in main
    from winswitch.client.client import main
  File "/usr/lib/python2.7/site-packages/winswitch/client/client.py", line 14, in <module>
    from winswitch.client.client_base import ClientBase
  File "/usr/lib/python2.7/site-packages/winswitch/client/client_base.py", line 28, in <module>
    from winswitch.objects.server_config import ServerConfig
  File "/usr/lib/python2.7/site-packages/winswitch/objects/server_config.py", line 14, in <module>
    from winswitch.objects.server_base import ServerBase
  File "/usr/lib/python2.7/site-packages/winswitch/objects/server_base.py", line 27, in <module>
    from winswitch.util.commands_util import SEAMLESSRDP_COMMAND
  File "/usr/lib/python2.7/site-packages/winswitch/util/commands_util.py", line 70, in <module>
    dh = get_distro_helper()
  File "/usr/lib/python2.7/site-packages/winswitch/util/distro_packaging_util.py", line 141, in get_distro_helper
    installer(XPRA_TYPE, "xpra")
TypeError: 'NoneType' object is not callable

Change History (1)

comment:1 Changed 7 years ago by Antoine Martin

Description: modified (diff)
Resolution: fixed
Status: newclosed

Errors start with [EE], debug stuff can be ignored most of the time.

This is fixed in r5085, sorry about the delay.

Note: See TracTickets for help on using tickets.